Payment batches & settlement

Tx Ops Get Batch Details

Name and signature indicate it returns tx ops get batch details

GEThttps://api.toku.com/stablecoin-payroll/tx-ops-get-batch-details

Required scope: payments:read. It also needs banking:read, compensation:read.

curl --request GET \
  --url 'https://api.toku.com/stablecoin-payroll/tx-ops-get-batch-details?batchID=%3CbatchID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "executionMode": "string",
  "batchID": "string",
  "orgID": "string",
  "name": "string",
  "module": "string",
  "status": "string",
  "createdAt": "string",
  "batchAssets": [
    {
      "networkChainID": "string",
      "networkName": "string",
      "networkType": "string",
      "tokenAddress": "string",
      "tokenSymbol": "string",
      "tokenDecimals": 0
    }
  ],
  "groups": [
    {
      "groupKey": "string",
      "networkChainID": "string",
      "networkName": "string",
      "tokenAddress": "string",
      "tokenSymbol": "string",
      "tokenIcon": "string",
      "paymentRail": "CRYPTO",
      "fundingConstraintKey": "string",
      "plannedProvider": "string",
      "plannedSourceCustodyWalletID": "string",
      "plannedSourceWalletAddress": "string",
      "totalAmount": "string",
      "readyAmount": "string",
      "recipientCount": 0,
      "readyCount": 0,
      "status": "string",
      "execution": {
        "attemptNumber": 0,
        "provider": "string",
        "sourceAddress": "string",
        "status": "string",
        "counts": {
          "total": 0,
          "pending": 0,
          "awaitingApproval": 0,
          "confirming": 0,
          "needsReview": 0,
          "completed": 0,
          "failed": 0
        },
        "approval": {
          "currentSignatures": 0,
          "requiredSignatures": 0,
          "safeAppUrl": "string"
        },
        "transactions": [
          {
            "transactionID": "string",
            "providerTransactionID": "string",
            "status": "string",
            "txHash": "string",
            "errorCode": "string",
            "errorMessage": "string",
            "errorStage": "string",
            "isRetryable": true
          }
        ],
        "fiatTransfers": [
          {}
        ]
      },
      "releasableUnsentCount": 0,
      "resubmittableUnsentCount": 0,
      "awaitingFundingCount": 0,
      "executionAttemptCount": 0,
      "latestExecutionAttemptNumber": 0,
      "latestExecutionFinishedAt": "string",
      "fiatSandboxSimulation": true
    }
  ],
  "intents": [
    {
      "executionMode": "string",
      "externalEvidence": {
        "requestID": "string",
        "state": "string",
        "chainID": "string",
        "transactionHash": "string",
        "transferRef": "string",
        "paidAt": "string",
        "verifiedAt": "string",
        "finalizedAt": "string",
        "errorCode": "string"
      },
      "paymentIntentID": "string",
      "destinationAddress": "string",
      "destinationName": "string",
      "destinationMetadata": {},
      "amount": "string",
      "tokenSymbol": "string",
      "status": "string",
      "canRecordExternalPayment": true,
      "manualSettledAmount": "string",
      "manualSettlements": [
        {
          "settlementID": "string",
          "amount": "string",
          "transactionHash": "string",
          "paidAt": "string",
          "recordedBy": "string",
          "createdAt": "string",
          "notes": "string",
          "voidedAt": "string",
          "voidedBy": "string",
          "voidReason": "string"
        }
      ],
      "module": "string",
      "groupKey": "string",
      "createdAt": "string",
      "networkName": "string",
      "paymentRail": "string",
      "invoiceContext": {
        "invoicePaymentID": "string",
        "invoiceNumber": "string",
        "clientOrgID": "string",
        "clientOrgName": "string"
      },
      "plannedProvider": "string",
      "plannedSourceCustodyWalletID": "string",
      "plannedSourceWalletAddress": "string",
      "latestExecution": {
        "executionAttemptID": "string",
        "attemptNumber": 0,
        "provider": "string",
        "sourceAddress": "string",
        "executionStatus": "string",
        "intentExecutionStatus": "string",
        "rail": "CRYPTO",
        "submittedAt": "string",
        "completedAt": "string",
        "transactionCount": 0,
        "completedTransactionCount": 0,
        "failedTransactionCount": 0,
        "hashPreview": "string",
        "hashCount": 0,
        "referencePreview": "string",
        "latestErrorCode": "string",
        "latestErrorMessage": "string",
        "latestErrorStage": "string",
        "anyRetryable": true,
        "lastUpdatedAt": "string",
        "fiatFx": {},
        "approvalUrl": "string",
        "needsReview": true,
        "awaitingApproval": true,
        "approval": {
          "currentSignatures": 0,
          "requiredSignatures": 0,
          "signUrl": "string"
        }
      }
    }
  ],
  "lastRefreshedAt": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

batchIDstring<uuid>required

Response

200Successful response
executionModestringrequired
batchIDstringrequired
orgIDstringrequired
namestring | nullrequired
modulestringrequired
statusstringrequired
createdAtstringrequired
batchAssetsobject[]required
Show child attributes
networkChainIDstringrequired
networkNamestringrequired
networkTypestringrequired
tokenAddressstringrequired
tokenSymbolstringrequired
tokenDecimalsintegerrequired
groupsobject[]required
Show child attributes
groupKeystringrequired
networkChainIDstringrequired
networkNamestringrequired
tokenAddressstringrequired
tokenSymbolstringrequired
tokenIconstring | nullrequired
paymentRailstringrequired

Available options: CRYPTO, FIAT

fundingConstraintKeystring | nullrequired
plannedProviderstring | nullrequired
plannedSourceCustodyWalletIDstring | nullrequired
plannedSourceWalletAddressstring | nullrequired
totalAmountstringrequired
readyAmountstringrequired
recipientCountintegerrequired
readyCountintegerrequired
statusstringrequired
executionobject | nullrequired
Show child attributes
attemptNumberintegerrequired
providerstringrequired
sourceAddressstringrequired
statusstringrequired
countsobjectrequired
Show child attributes
totalintegerrequired
pendingintegerrequired
awaitingApprovalintegerrequired
confirmingintegerrequired
needsReviewintegerrequired
completedintegerrequired
failedintegerrequired
approvalobject | nullrequired
Show child attributes
currentSignaturesintegerrequired
requiredSignaturesintegerrequired
safeAppUrlstringrequired
transactionsobject[]required
Show child attributes
transactionIDstringrequired
providerTransactionIDstring | nullrequired
statusstringrequired
txHashstring | nullrequired
errorCodestring | nullrequired
errorMessagestring | nullrequired
errorStagestring | nullrequired
isRetryablebooleanrequired
fiatTransfersobject[]required
releasableUnsentCountintegerrequired
resubmittableUnsentCountintegerrequired
awaitingFundingCountintegerrequired
executionAttemptCountintegerrequired
latestExecutionAttemptNumberinteger | nullrequired
latestExecutionFinishedAtstring | nullrequired
fiatSandboxSimulationbooleanrequired
intentsobject[]required
Show child attributes
executionModestringrequired
externalEvidenceobject | nullrequired
Show child attributes
requestIDstringrequired
statestringrequired
chainIDstringrequired
transactionHashstringrequired
transferRefstring | nullrequired
paidAtstring | nullrequired
verifiedAtstring | nullrequired
finalizedAtstring | nullrequired
errorCodestring | nullrequired
paymentIntentIDstringrequired
destinationAddressstringrequired
destinationNamestring | nullrequired
destinationMetadataobject | nullrequired
amountstringrequired
tokenSymbolstringrequired
statusstringrequired
canRecordExternalPaymentboolean
manualSettledAmountstring
manualSettlementsobject[]
Show child attributes
settlementIDstringrequired
amountstringrequired
transactionHashstringrequired
paidAtstringrequired
recordedBystringrequired
createdAtstringrequired
notesstring | nullrequired
voidedAtstring | nullrequired
voidedBystring | nullrequired
voidReasonstring | nullrequired
modulestringrequired
groupKeystringrequired
createdAtstringrequired
networkNamestringrequired
paymentRailstringrequired
fiatDestinationanyrequired
invoiceContextobject | nullrequired
Show child attributes
invoicePaymentIDstringrequired
invoiceNumberstringrequired
clientOrgIDstringrequired
clientOrgNamestringrequired
plannedProviderstring | nullrequired
plannedSourceCustodyWalletIDstring | nullrequired
plannedSourceWalletAddressstring | nullrequired
latestExecutionobject | nullrequired
Show child attributes
executionAttemptIDstringrequired
attemptNumberintegerrequired
providerstringrequired
sourceAddressstringrequired
executionStatusstringrequired
intentExecutionStatusstring | nullrequired
railstringrequired

Available options: CRYPTO, FIAT

submittedAtstring | nullrequired
completedAtstring | nullrequired
transactionCountintegerrequired
completedTransactionCountintegerrequired
failedTransactionCountintegerrequired
hashPreviewstring | nullrequired
hashCountintegerrequired
referencePreviewstring | nullrequired
latestErrorCodestring | nullrequired
latestErrorMessagestring | nullrequired
latestErrorStagestring | nullrequired
anyRetryablebooleanrequired
lastUpdatedAtstringrequired
fiatFxobject | nullrequired
approvalUrlstring | nullrequired
needsReviewbooleanrequired
awaitingApprovalbooleanrequired
approvalobject | nullrequired
Show child attributes
currentSignaturesintegerrequired
requiredSignaturesintegerrequired
signUrlstringrequired
valuationanyrequired
lastRefreshedAtstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits